Bug 191119 - netdump hangs if network cables are removed
netdump hangs if network cables are removed
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: netdump (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 19:50 EDT by Rick Stern
Modified: 2014-06-18 04:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 16:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Stern 2006-05-08 19:50:25 EDT
Description of problem:

When netdump is set up, and then the network cables are removed, the system
hangs after a crashes

Version-Release number of selected component (if applicable):


How reproducible:
very

Steps to Reproduce:
1. Setup netdump
2.  Remove network cables
3.  Crash system (sysctl -w kernel.sysrq=1;echo c > /proc/sysrq-trigger)
  
Actual results:
The terminal window assocaited with this command seems to scroll for a while,
then hang.  If the network cables are re-inserted later, the system is still hung.

Expected results:
Either do the dump after the cables are re-inserted or just reboot.

Additional info:
Comment 1 Rick Stern 2006-05-10 19:45:21 EDT
Customer found out that is netconsole was not running that this bug didn't show.
 Seems to indicate a problem there.  Seach showed that fix for bugzilla 127815
(from RH3) did not make it into RH4.  Created bugzilla 191342 to track that.

Note You need to log in before you can comment on or make changes to this bug.